# Exiv2::TypeInfoTable Struct Reference

Information pertaining to the defined types. More...

`#include <types.hpp>`

List of all members.

## Public Member Functions

| TypeInfoTable (TypeId typeId, const char *name, long size)
| Constructor.

## Public Attributes

TypeId | typeId_
| Type id.
const char * | name_
| Name of the type.
long | size_
| Bytes per data entry.

## Detailed Description

Information pertaining to the defined types.

The documentation for this struct was generated from the following files:

- types.hpp
- types.cpp